#
# spec file for package libqjack
#
# Copyright (c) 2025 SUSE LLC
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover       0
%define _reldate    20170112
Name:           libqjack
Version:        0.0+%{_reldate}
Release:        5.1
Summary:        Connect to the Jack Sound Server with Qt
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://bitbucket.org/asiniscalchi/qjack
## https://bitbucket.org/asiniscalchi/qjack.git
Source:         qjack-%{_reldate}.tar.bz2
Patch1:         qjack-soname-lib.patch
# PATCH-FIX-UPSTREAM qjack-Qt511.patch
Patch2:         qjack-Qt511.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++ >= 4.5
BuildRequires:  glibc-devel
BuildRequires:  jack-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QJack makes you connect with the Jack soundserver system with Qt.

%package -n libqjack%{sover}
Summary:        Connect to the Jack Sound Server with Qt
Group:          System/Libraries

%description -n libqjack%{sover}
QJack makes you connect with the Jack soundserver system with Qt.

%package -n libqjack-devel
Summary:        Connect to the Jack Sound Server with Qt
Group:          Development/Libraries/C and C++
Requires:       jack-devel
Requires:       libqjack%{sover} = %{version}
Requires:       pkgconfig(Qt5Core)

%description -n libqjack-devel
QJack makes you connect with the Jack soundserver system with Qt.

%prep
%autosetup -p1 -n qjack-%{_reldate}

%build
# Remove cmake4 error due to not setting
# min cmake version - sflees.de
export CMAKE_POLICY_VERSION_MINIMUM=3.5
install -d build
pushd build
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DLIB="%{_lib}" \
    -DCMAKE_CXX_FLAGS="%{optflags}" \
	    ..
make %{?_smp_mflags}
popd

%install
pushd build
make DESTDIR=%{buildroot} install
popd

%post   -n libqjack%{sover} -p /sbin/ldconfig
%postun -n libqjack%{sover} -p /sbin/ldconfig

%files -n libqjack%{sover}
%defattr(-,root,root)
%doc README
%{_libdir}/libqjack.so.%{sover}
%{_libdir}/libqjack.so.%{sover}.*

%files -n libqjack-devel
%defattr(-,root,root)
%{_includedir}/qjack
%{_libdir}/libqjack.so

%changelog
* Wed May  7 2025 Simon Lees <sflees@suse.de>
- export CMAKE_POLICY_VERSION_MINIMUM="3.5" to ignore cmakes
  minimum version warnings
* Fri Mar  1 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Mon Jun 11 2018 aloisio@gmx.com
- Added qjack-Qt511.patch to fix build with Qt 5.11
* Sat Feb 24 2018 aloisio@gmx.com
- Removed erroneous dependency on libqt4-devel
* Tue Jul 25 2017 aloisio@gmx.com
- Update to version 20170112
- Switched to Qt5
- Dropped qjack-gcc6.patch (merged upstream)
* Thu Feb  2 2017 jengelh@inai.de
- Rename %%soname to %%sover to better reflect its use
- RPM group association fix
* Wed Jan 11 2017 aloisio@gmx.com
- Added qjack-gcc6.patch
* Fri Jan  6 2017 aloisio@gmx.com
- Update to latest git version (0.0+20131111)
- Refreshed qjack-soname-lib.patch
- Fixed TW build
- Spec cleanup
* Fri Jul 20 2012 pascal.bleser@opensuse.org
- initial version (0.0+20120316)
